#           _
#   ___ ___| |_ ___ ___
# _|- _|_ -|   |  _|  _|
#|_|___|___|_|_|_| |___|

# .zshrc (uses prezto for configuration)
# Date: 17.06.2021

# Source Prezto to initialize.
if [[ -s "${ZDOTDIR:-$HOME}/.zprezto/init.zsh" ]]; then
  source "${ZDOTDIR:-$HOME}/.zprezto/init.zsh"
fi


# Most important - Vi Mode with small key timeout
bindkey -v
export KEYTIMEOUT=1

# adjust PATH
PATH=$HOME/documents/bin/:$PATH
PATH=$HOME/.scripts/tools:$PATH
export PATH=$PATH:/usr/local/go/bin:$HOME/documents/go/bin/

# Set GOPATH in case of golang installation
export GOPATH=$HOME/documents/go

# Include FZF Keybindings
source /usr/share/fzf/key-bindings.zsh
source /usr/share/fzf/completion.zsh

# FZF configuration
export FZF_DEFAULT_COMMAND='fd --type f'
export FZF_DEFAULT_OPTS="--height 70% --inline-info --preview='head -n$LINES {}'"


# Source own .bash_aliases file for shell aliases
[ -f ~/.bash_aliases ] && source ~/.bash_aliases

# Configure Prompt (include hostname, good for SSH Session)
autoload -Uz promptinit
promptinit
prompt cloud "($(hostname))" yellow red

# Virtual Env. for Python
export WORKON_HOME=~/documents/tools/pyvirtenvs
source /usr/bin/virtualenvwrapper.sh

# commands (docs: https://virtualenvwrapper.readthedocs.io/en/latest/)
#
# mkvirtualenv <env-name>   # create new env
# workon <env-name>         # switch env
# lssitepackages            # list packages
# $VIRTUAL_ENV (contains PATH of current venv)


# For terminal colors with pywal
cat ~/.cache/wal/sequences

# export important global variables
export SHELL=/usr/bin/zsh
export EDITOR=nvim
export HISTFILE=$HOME/.zsh_history
# dotfiles
export DOTS=$HOME/documents/dots
export dots=$HOME/documents/dots

# Damn! Speeds up repeated key presses (jk in vim is better with that)
xset r rate 300 50
